org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class TopologyManagerImpl

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractTopologyManager
  - - org.eclipse.ecf.osgi.services.remoteserviceadmin.TopologyManagerImpl

All Implemented Interfaces:
  EndpointEventListener

    public class TopologyManagerImpl
    extends AbstractTopologyManager
    implements EndpointEventListener

Since:
  4.6

### Field Summary

Fields
`static int` `STARTUP_WAIT_TIME`

### Fields inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractTopologyManager

`SERVICE_EXPORTED_INTERFACES_WILDCARD`

### Fields inherited from interface org.osgi.service.remoteserviceadmin.EndpointEventListener

`ENDPOINT_LISTENER_SCOPE`

### Constructor Summary

Constructors
Constructor and Description
`TopologyManagerImpl(BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `endpointChanged(EndpointEvent event, String matchedFilter)` Notification that an endpoint has changed.
`protected void` `exportRegisteredServices(String exportRegisteredSvcsFilter)`
`protected String` `getFrameworkUUID()`
`protected void` `handleEndpointAdded(EndpointDescription endpoint, String matchedFilter)`
`protected void` `handleEndpointModified(EndpointDescription endpoint, String matchedFilter)`
`protected void` `handleEndpointModifiedEndmatch(EndpointDescription endpoint, String matchedFilter)`
`protected void` `handleEndpointRemoved(EndpointDescription endpoint, String matchedFilter)`
`protected void` `handleEvent(ServiceEvent event, Map listeners)`
`protected void` `handleRemoteAdminEvent(RemoteServiceAdminEvent event)`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractTopologyManager

`advertiseEndpointDescription, advertiseModifyEndpointDescription, close, createISIFFilter, createRSAFilter, getContext, getRemoteServiceAdmin, handleAdvertisingResult, handleECFEndpointAdded, handleECFEndpointModified, handleECFEndpointRemoved, handleInvalidImportRegistration, handleNonECFEndpointAdded, handleNonECFEndpointModified, handleNonECFEndpointRemoved, handleNonECFEndpointRemoved, handleServiceModifying, handleServiceRegistering, handleServiceUnregistering, logError, logError, logError, logWarning, trace, unadvertiseEndpointDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STARTUP_WAIT_TIME

    public static final int STARTUP_WAIT_TIME

### Constructor Detail

#### TopologyManagerImpl

    public TopologyManagerImpl(BundleContext context)

### Method Detail

#### getFrameworkUUID

    protected String getFrameworkUUID()

Overrides:
  `getFrameworkUUID` in class `AbstractTopologyManager`

#### handleEndpointAdded

    protected void handleEndpointAdded(EndpointDescription endpoint,
                                       String matchedFilter)

#### handleEndpointRemoved

    protected void handleEndpointRemoved(EndpointDescription endpoint,
                                         String matchedFilter)

#### handleEvent

    protected void handleEvent(ServiceEvent event,
                               Map listeners)

Overrides:
  `handleEvent` in class `AbstractTopologyManager`
Parameters:
  `event` - the service event
  `listeners` - map of listeners

#### handleRemoteAdminEvent

    protected void handleRemoteAdminEvent(RemoteServiceAdminEvent event)

#### endpointChanged

    public void endpointChanged(EndpointEvent event,
                                String matchedFilter)

Description copied from interface: `EndpointEventListener`
Notification that an endpoint has changed. Details of the change is captured in the Endpoint Event provided. This could be that an endpoint was added, removed or modified.

Specified by:
  `endpointChanged` in interface `EndpointEventListener`
Parameters:
  `event` - The event containing the details about the change.
  `matchedFilter` - The filter from the `EndpointEventListener.ENDPOINT_LISTENER_SCOPE` that matches (or for `EndpointEvent.MODIFIED_ENDMATCH` and `EndpointEvent.REMOVED` used to match) the endpoint, must not be `null`.

#### handleEndpointModifiedEndmatch

    protected void handleEndpointModifiedEndmatch(EndpointDescription endpoint,
                                                  String matchedFilter)

#### handleEndpointModified

    protected void handleEndpointModified(EndpointDescription endpoint,
                                          String matchedFilter)

#### exportRegisteredServices

    protected void exportRegisteredServices(String exportRegisteredSvcsFilter)